gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.AttrClass

Contents

- Exported types
- Properties
  - destroy
  - equal
  - type

Description

The `AttrClass` structure stores the type and operations for a particular type of attribute. The functions in this structure should not be called directly. Instead, one should use the wrapper functions provided for `Attribute`.

Synopsis

- newtype AttrClass = AttrClass (ManagedPtr AttrClass)
- newZeroAttrClass :: MonadIO m => m AttrClass
- noAttrClass :: Maybe AttrClass
- clearAttrClassDestroy :: MonadIO m => AttrClass -> m ()
- getAttrClassDestroy :: MonadIO m => AttrClass -> m (Maybe AttrClassDestroyFieldCallback)
- setAttrClassDestroy :: MonadIO m => AttrClass -> FunPtr C_AttrClassDestroyFieldCallback -> m ()
- clearAttrClassEqual :: MonadIO m => AttrClass -> m ()
- getAttrClassEqual :: MonadIO m => AttrClass -> m (Maybe AttrClassEqualFieldCallback)
- setAttrClassEqual :: MonadIO m => AttrClass -> FunPtr C_AttrClassEqualFieldCallback -> m ()
- getAttrClassType :: MonadIO m => AttrClass -> m AttrType
- setAttrClassType :: MonadIO m => AttrClass -> AttrType -> m ()

# Exported types

newtype AttrClass Source #

Memory-managed wrapper type.

Constructors

AttrClass (ManagedPtr AttrClass) |

Instances

WrappedPtr AttrClass Source # |
Instance details Defined in GI.Pango.Structs.AttrClass Methods wrappedPtrCalloc :: IO (Ptr AttrClass) Source # wrappedPtrCopy :: AttrClass -> IO AttrClass Source # wrappedPtrFree :: Maybe (FunPtr (Ptr AttrClass -> IO ())) Source #
tag ~ AttrSet => Constructible AttrClass tag Source # |
Instance details Defined in GI.Pango.Structs.AttrClass Methods new :: MonadIO m => (ManagedPtr AttrClass -> AttrClass) -> [AttrOp AttrClass tag] -> m AttrClass Source #

newZeroAttrClass :: MonadIO m => m AttrClass Source #

Construct a `AttrClass` struct initialized to zero.

noAttrClass :: Maybe AttrClass Source #

A convenience alias for `Nothing` :: `Maybe` `AttrClass`.

# Properties

## destroy

No description available in the introspection data.

clearAttrClassDestroy :: MonadIO m => AttrClass -> m () Source #

Set the value of the “`destroy`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #destroy

getAttrClassDestroy :: MonadIO m => AttrClass -> m (Maybe AttrClassDestroyFieldCallback) Source #

Get the value of the “`destroy`” field. When overloading is enabled, this is equivalent to

    get attrClass #destroy

setAttrClassDestroy :: MonadIO m => AttrClass -> FunPtr C_AttrClassDestroyFieldCallback -> m () Source #

Set the value of the “`destroy`” field. When overloading is enabled, this is equivalent to

    set attrClass [ #destroy := value ]

## equal

No description available in the introspection data.

clearAttrClassEqual :: MonadIO m => AttrClass -> m () Source #

Set the value of the “`equal`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #equal

getAttrClassEqual :: MonadIO m => AttrClass -> m (Maybe AttrClassEqualFieldCallback) Source #

Get the value of the “`equal`” field. When overloading is enabled, this is equivalent to

    get attrClass #equal

setAttrClassEqual :: MonadIO m => AttrClass -> FunPtr C_AttrClassEqualFieldCallback -> m () Source #

Set the value of the “`equal`” field. When overloading is enabled, this is equivalent to

    set attrClass [ #equal := value ]

## type

the type ID for this attribute

getAttrClassType :: MonadIO m => AttrClass -> m AttrType Source #

Get the value of the “`type`” field. When overloading is enabled, this is equivalent to

    get attrClass #type

setAttrClassType :: MonadIO m => AttrClass -> AttrType -> m () Source #

Set the value of the “`type`” field. When overloading is enabled, this is equivalent to

    set attrClass [ #type := value ]